Get file system shares associated with a virtual server (NFS)

NAS File Storage REST API Reference

Version
15.6.x
File Size
1291 KB
Audience
anonymous
Part Number
MK-92HNAS100-07
ft:lastEdition
2026-04-07
get /v9/storage/virtual-servers/{virtualServerId}/nfs

Get file system shares associated with a virtual server (NFS).

Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.

Authentication: x_subsystem_user Api Key "X-Subsystem-User"
Authentication: x_subsystem_password Api Key "X-Subsystem-Password"
Authentication: api_key Api Key "X-Api-Key"
Authentication: basicAuth HTTP - basic scheme
Path parameters
virtualServerId required

Either the virtual server ID or the object ID of the virtual server

CLIENT REQUEST
curl -X 'GET'
-H "X-Subsystem-User: [[apiKey]]" \
-H "X-Subsystem-Password: [[apiKey]]" \
-H "X-Api-Key: [[apiKey]]" \
-H "Authorization: Basic [[basicHash]]" \
-H 'Accept: application/json'
'https://172.27.146.40:8444/v9/storage/virtual-servers/{virtualServerId}/nfs'
import http.client conn = http.client.HTTPSConnection("172.27.146.40:8444") headers = { 'Authorization': "Basic REPLACE_BASIC_AUTH" } conn.request("GET", "/v9/storage/virtual-servers/1/nfs", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://172.27.146.40:8444/v9/storage/virtual-servers/1/nfs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Get.new(url) request["Authorization"] = 'Basic REPLACE_BASIC_AUTH' response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://172.27.146.40:8444/v9/storage/virtual-servers/1/nfs"); xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH"); xhr.send(data);
HttpResponse<String> response = Unirest.get("https://172.27.146.40:8444/v9/storage/virtual-servers/1/nfs") .header("Authorization", "Basic REPLACE_BASIC_AUTH") .asString();
import Foundation let headers = ["Authorization": "Basic REPLACE_BASIC_AUTH"] let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/virtual-servers/1/nfs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_PORT => "8444", CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/virtual-servers/1/nfs", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Basic REPLACE_BASIC_AUTH" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET"); curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/virtual-servers/1/nfs"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://172.27.146.40:8444/v9/storage/virtual-servers/1/nfs"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH"); IRestResponse response = client.Execute(request);
Responses

Successful operation

Body
application/json
filesystemSharesarray
[
filesystemIdstring

ID of the file system

Example:"7B263DFD1D71E65A0000000000000000"
namestring

Name of the file system share

Example:"Name2"
objectIdstring

Unique ID of the object

Example:"333a3a3a3a3a3a303a3a3a4f49445f24232140255f56"
pathstring

File system path that is exported to users

Example:"/folder"
settingsobject
accessConfigstring

Access config options. Typically it is the IP addresses of the allowed hosts and access level, or blank if there are no restrictions

localReadCacheOptionstring (Enum)

NFS local read cache option

Allowed values:"DISABLED""ENABLED_FOR_ALL_FILES""ENABLED_FOR_CVLS"
snapshotOptionstring (Enum)

Snapshot option

Allowed values:"HIDE_AND_DISABLE_ACCESS""HIDE_AND_ALLOW_ACCESS""SHOW_AND_ALLOW_ACCESS"
transferToReplicationTargetSettingstring (Enum)

Transfer to replication target settings

Allowed values:"INVALID""DO_NOT_TRANSFER""TRANSFER""USE_FS_DEFAULT"
accessConfigstring

Access config options. Typically it is the IP addresses of the allowed hosts and access level, or blank if there are no restrictions

cacheOptionstring (Enum)

Cache option

Allowed values:"MANUAL_CACHING_DOCS""AUTO_CACHING_DOCS""AUTO_CACHING_PROGS""CACHING_OFF"
commentstring

Comment associated with the share, which is also visible to clients

Example:"This is a comment"
continuouslyAvailableboolean

True indicates that the share is continuously available

currentUsersintegerint32

Number of users currently connected to the CIFS/SMB share

encryptedAccessboolean

True indicates that clients will be required to support data encryption to connect to the share

isABEEnabledboolean

True indicates that Access-Based Enumeration (ABE) is enabled. When enabled, ABE filters the contents of an SMB share. Note: enabling ABE may have a negative impact on performance

isFollowGlobalSymbolicLinksboolean

True indicates global symbolic links will be followed, otherwise they will be ignored

isFollowSymbolicLinksboolean

True indicates symbolic links will be followed, otherwise they will be ignored

isForceFileNameToLowercaseboolean

True indicates that file names on the share will be forced to lower case

isScanForVirusesEnabledboolean

True indicates that virus scanning will be performed on the share

maxConcurrentUsersintegerint32

Maximum concurrent sessions to access the share. The value -1 indicates unlimited concurrent connections are allowed

snapshotOptionstring (Enum)

Snapshot option

Allowed values:"HIDE_AND_DISABLE_ACCESS""HIDE_AND_ALLOW_ACCESS""SHOW_AND_ALLOW_ACCESS"
transferToReplicationTargetSettingstring (Enum)

Transfer to replication target settings

Allowed values:"INVALID""DO_NOT_TRANSFER""TRANSFER""USE_FS_DEFAULT"
userHomeDirectoryModestring (Enum)

User home directory mode

Allowed values:"OFF""ADS""USER""DOMAIN_AND_USER""UNIX"
userHomeDirectoryPathstring

User home directory path - this path is relative to the shared path

Example:"home"
shareIdstring

Either the NFS export ID or the CIFS/SMB share ID

Example:"6b83a578-5494-11d1-90d0-4bee3faaca3b"
virtualServerIdintegerint32

ID of the virtual server. 0 = management virtual server 255 = not assigned to virtual server

Example:1
]
RESPONSE
{ "filesystemShares": [ { "filesystemId": "7B263DFD1D71E65A0000000000000000", "name": "Name2", "objectId": "333a3a3a3a3a3a303a3a3a4f49445f24232140255f56", "path": "/folder", "settings": { "accessConfig": "", "localReadCacheOption": "DISABLED", "snapshotOption": "HIDE_AND_DISABLE_ACCESS", "transferToReplicationTargetSetting": "INVALID" }, "shareId": "6b83a578-5494-11d1-90d0-4bee3faaca3b", "virtualServerId": 1 } ] }

Bad Request

Body
application/json
errorCodeintegerint32

Generic error code

Example:1081353
errorMsgstring

Main error message

Example:"Invalid description parameter - the optional parameter must be between 2 and 30 characters long to be valid, if supplied"
RESPONSE
{ "errorCode": 1081353, "errorMsg": "Invalid description parameter - the optional parameter must be between 2 and 30 characters long to be valid, if supplied" }

Unauthorized - the request was rejected because the credentials or API key were either missing or invalid

Forbidden - the client does not have the required permissions to perform the operation

Body
application/json
errorMsgstring

Main error message

Example:"Forbidden request - the client does not have the required permissions to perform the operation"
RESPONSE
{ "errorMsg": "Forbidden request - the client does not have the required permissions to perform the operation" }

Not Found - a resource specified was not found

Body
application/json
errorCodeintegerint32

Generic error code

Example:1081345
errorDetailobject

Detailed error information

detailstring

More details on why the error occurred

faultstring
fileNamestring

Source file where the error occurred

Example:"RestApiFilesystems.cpp"
functionstring

Internal function name where the error occurred

Example:"mountFilesystem"
lineNumberintegerint32

Line number within the source file, where the error occurred

messagestring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
reasonstring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
returnedValueintegerint32

Not used

subCodeintegerint32

Specific failure error code

errorMsgstring

Main error message

Example:"Cannot find the object of the operation on the device"
RESPONSE
{ "errorCode": 1081345, "errorDetail": { "detail": "", "fault": "", "fileName": "RestApiFilesystems.cpp", "function": "mountFilesystem", "lineNumber": 0, "message": "The file system is currently unassigned", "reason": "The file system is currently unassigned", "returnedValue": 0, "subCode": 0 }, "errorMsg": "Cannot find the object of the operation on the device" }

Internal Server Error

Body
application/json
errorCodeintegerint32

Generic error code

errorDetailobject

Detailed error information

detailstring

More details on why the error occurred

faultstring
fileNamestring

Source file where the error occurred

Example:"RestApiFilesystems.cpp"
functionstring

Internal function name where the error occurred

Example:"mountFilesystem"
lineNumberintegerint32

Line number within the source file, where the error occurred

messagestring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
reasonstring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
returnedValueintegerint32

Not used

subCodeintegerint32

Specific failure error code

errorMsgstring

Main error message

Example:"Failed to mount file system"
RESPONSE
{ "errorCode": 0, "errorDetail": { "detail": "", "fault": "", "fileName": "RestApiFilesystems.cpp", "function": "mountFilesystem", "lineNumber": 0, "message": "The file system is currently unassigned", "reason": "The file system is currently unassigned", "returnedValue": 0, "subCode": 0 }, "errorMsg": "Failed to mount file system" }